curl -X POST "http://rivin.ai/api/walmart/oversight/products" \
-H "Content-Type: application/json" \
-H "x-api-key: (YOUR_API_KEY_HERE)" \
-d '{
"walmart_product_code": "1370971228"
}'
{
"id": "ov_123456789",
"walmart_product_code": "1370971228",
"user_id": "user_123",
"created_at": "2024-01-15T10:30:00Z"
}
Oversight Endpoints
Add Walmart Product To Oversight Tracking
This endpoint adds a product to a user’s tracked products in Rivin.ai’s Oversight product.
POST
/
walmart
/
oversight
/
products
curl -X POST "http://rivin.ai/api/walmart/oversight/products" \
-H "Content-Type: application/json" \
-H "x-api-key: (YOUR_API_KEY_HERE)" \
-d '{
"walmart_product_code": "1370971228"
}'
{
"id": "ov_123456789",
"walmart_product_code": "1370971228",
"user_id": "user_123",
"created_at": "2024-01-15T10:30:00Z"
}
🚧 Coming Soon: This endpoint is currently in development and will be available soon. Stay tuned for updates!
Rate Limit: This endpoint has a default rate limit of 10 requests/second per account. Need higher limits? Contact our support team - we can accommodate any rate limit requirements on request.
Credit Cost: Adding products to oversight tracking costs 0 credits. Credits are charged daily based on your chosen oversight tier when data is queried:Tier 0 (Every hour in depth): 150 credits/day - Units in stock for EACH seller + Price history for EACH seller every hour on query
Tier 1 (Every 2 hours): 90 credits/day
Tier 2 (6 hours): 35 credits/day
Tier 3 (12 hours): 20 credits/day
Tier 4 (Daily): 10 credits/day
Tier 1 (Every 2 hours): 90 credits/day
Tier 2 (6 hours): 35 credits/day
Tier 3 (12 hours): 20 credits/day
Tier 4 (Daily): 10 credits/day
curl -X POST "http://rivin.ai/api/walmart/oversight/products" \
-H "Content-Type: application/json" \
-H "x-api-key: (YOUR_API_KEY_HERE)" \
-d '{
"walmart_product_code": "1370971228"
}'
{
"id": "ov_123456789",
"walmart_product_code": "1370971228",
"user_id": "user_123",
"created_at": "2024-01-15T10:30:00Z"
}
Oversight Tracking: Add products to your oversight dashboard to track pricing, inventory, and sales data over time. This provides comprehensive monitoring capabilities for your product portfolio.
Headers
Body
application/json
Product to add to oversight tracking